<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="8" infoRejectCounter="0">
  <summary>
    <timer wall-clock="0.419s" wall="0.419" cpu="2.11337" calls="1"/>
  </summary>
  <header id="">
    <environment started="2021-Jan-04 20:40:13" host="Fabians-Flunder.fritz.box"/>
    <progOpts problem="cubic_sym_3d" parameterFile="/Users/fwein/code/master/Testsuite/TESTSUIT/Optimization/ShapeMap/cubic_sym_3d/cubic_sym_3d.xml" schemaPath="/Users/fwein/code/master/share/xml" meshFile="" logConfFile="" detailed="no">
      <cfs version="20.09" name="Frohes Fensterln" build="Release" git_commit="86ba2687a522710b7f8bc80fdced492a726b93fd" git_branch="master" exe="cfs_master"/>
      <openmp CFS_NUM_THREADS="1" MKL_NUM_THREADS="-" OMP_NUM_THREADS="-"/>
    </progOpts>
    <domain nx="10" ny="10" nz="10">
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <grids>
        <grid gridId="default" dimensions="3" elements="1000" nodes="1331"/>
      </grids>
      <regions>
        <region name="mech" id="0" type="volume" regular="yes" hom="yes" nodes="1331" elems="1000" isQuadratic="no"/>
      </regions>
      <namedNodes>
        <nodes name="left" count="121"/>
        <nodes name="right" count="121"/>
        <nodes name="bottom" count="121"/>
        <nodes name="top" count="121"/>
        <nodes name="back" count="121"/>
        <nodes name="front" count="121"/>
        <nodes name="left_bottom_back" count="1" coord="(0,0,0)"/>
        <nodes name="right_bottom_back" count="1" coord="(1,0,0)"/>
        <nodes name="left_top_back" count="1" coord="(0,1,0)"/>
        <nodes name="right_top_back" count="1" coord="(1,1,0)"/>
        <nodes name="left_bottom_front" count="1" coord="(0,0,1)"/>
        <nodes name="right_bottom_front" count="1" coord="(1,0,1)"/>
        <nodes name="left_top_front" count="1" coord="(0,1,1)"/>
        <nodes name="right_top_front" count="1" coord="(1,1,1)"/>
        <nodes name="load" count="1" coord="(1,0.5,0.5)"/>
      </namedNodes>
      <namedElements/>
      <globalMathParser dt="0" f="0" nx="10" ny="10" nz="10" step="0" t="0" t0="0"/>
    </domain>
    <update_results>
      <timer wall-clock="0s" wall="0" cpu="0.000124" calls="8"/>
    </update_results>
    <finish_step>
      <timer wall-clock="0.007s" wall="0.007" cpu="0.052716" calls="1"/>
    </finish_step>
  </header>
  <calculation>
    <process/>
  </calculation>
  <sequenceStep sequence="1">
    <static/>
    <PDE>
      <mechanic>
        <header>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElastInt">
                <coef value="CoefFunctionOpt"/>
              </bilinearForm>
              <bilinearForm integrator="LinElastInt" type="BDBInt" complex="no" BOp="StrainOperator3D" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms>
              <linearForm integrator="NodalForceInt" region="">
                <entities name="right" size="121" region="no_region"/>
                <row pde="mechanic" result="mechDisplacement" solutionDependent="no"/>
              </linearForm>
            </rhsLinearForms>
          </integrators>
        </header>
        <material name="99lines">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="Mechanic_Stiffness_Tensor">
            <tensor dim1="6" dim2="6">
              <real>
                 1.346154e+00  5.769231e-01  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  1.346154e+00  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  5.769231e-01  1.346154e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Elasticity_Modulus" value="(1,0)"/>
          <property name="Mechanic_Poisson_Ratio" value="(0.3,0)"/>
          <property name="Density" value="(1e-08,0)"/>
          <property name="Rayleigh_Frequency" value="1000"/>
          <property name="Loss_TangensDelta" value="0.029999999999999999"/>
        </material>
        <feSpaces>
          <mechDisplacement>
            <h1Nodal>
              <regionList>
                <mech/>
                <default order="1"/>
              </regionList>
            </h1Nodal>
          </mechDisplacement>
        </feSpaces>
        <summary>
          <writeResults>
            <timer wall-clock="0s" wall="0" cpu="3.1e-05" calls="1"/>
          </writeResults>
        </summary>
        <feFunctions>
          <mechDisplacement/>
          <homDirichletBC>
            <nodeList name="left" dofs="x y z"/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
      </mechanic>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <feFunctions totalNumEqns="3630" totalNumFreeEqns="3630" totalNumDirichlet="0">
            <function id="0" name="mechDisplacement" numEqns="3630" lastFreeEqn="3630" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <sbmBlocks>
            <block id="0" size="3630" lastFreeIndex="3630"/>
          </sbmBlocks>
        </setup>
        <solver>
          <pardiso hermitean="no" symStruct="no" symmetric="yes" posDef="no" pardiso_matrix="-2" solver="direct">
            <summary>
              <setup>
                <timer label="setup_pardiso" wall-clock="0.042s" wall="0.042" cpu="0.297054" calls="1"/>
              </setup>
              <solve>
                <timer label="solve_pardiso" wall-clock="0.002s" wall="0.002" cpu="0.013934" calls="1"/>
              </solve>
            </summary>
            <process>
              <call number="0">
                <symbfact cpu="0.2078" wall="0.029" peakMem="5749" permanentMem="5429"/>
                <numfact cpu="0.08602" wall="0.012" peakMem="12019"/>
              </call>
            </process>
          </pardiso>
        </solver>
        <precond>
          <idPrecond>
            <summary>
              <setup>
                <timer wall-clock="0s" wall="0" cpu="3.5e-05" calls="1"/>
              </setup>
              <precond>
                <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
              </precond>
            </summary>
          </idPrecond>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </mechanic>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall-clock="0.008s" wall="0.008" cpu="0.06458" calls="2"/>
        </assemble>
      </summary>
    </analysis>
    <header>
      <graph_setup>
        <timer wall-clock="0.1s" wall="0.1" cpu="0.739921" calls="1"/>
      </graph_setup>
    </header>
  </sequenceStep>
  <optimization haltopt_file="/Users/fwein/code/master/Testsuite/TESTSUIT/Optimization/ShapeMap/cubic_sym_3d/HALTOPT">
    <header>
      <objective type="compliance" name="compliance" linear="no" filtered="yes" task="minimize"/>
      <constraints>
        <constraint type="volume" name="volume_(density)" linear="no" filtered="yes" bound_value="0.2" bound="upperBound" design="density"/>
        <constraint type="curvature" name="curvature_(node)" parameter="0" linear="yes" filtered="yes" locality="prev_next_and_reverse" local_size="12" periodic="no" bound_value="0.03" bound="upperBound" design="node"/>
        <constraint type="curvature" name="curvature_(profile)" parameter="0" linear="yes" filtered="yes" locality="prev_next_and_reverse" local_size="12" periodic="no" bound_value="0.03" bound="upperBound" design="profile"/>
      </constraints>
      <designSpace pamping="0" regular="yes">
        <gradient_chain_rule>
          <timer label="gradient_chain_rule" wall-clock="0s" wall="0" cpu="0" calls="0" sub="true"/>
        </gradient_chain_rule>
        <features>
          <mapping>
            <timer label="features_map" wall-clock="0.001s" wall="0.001" cpu="0.010587" calls="1" sub="true"/>
          </mapping>
          <gradient>
            <timer label="features_grad" wall-clock="0.004s" wall="0.004" cpu="0.03658" calls="2" sub="true"/>
          </gradient>
        </features>
        <shapeMap overlap="max">
          <numInt max_order="2" sensitivity="1e-09" integration="tailored" h="0.1" order="2">
            <warning> tailored linear integration order would require 5000000 with sensitivity=1e-09 for h=0.1 -> cut to 2</warning>

            <cells integrate_fraction="0.648" avg_order="2" total_int="2.1768e+09"/>
          </numInt>
          <mesh n="10 10 10" min="0 0 0" max="1 1 1" step="0.1 0.1 0.1"/>
        </shapeMap>
        <filters use_mat_filt="yes"/>
        <transferFunctions>
          <transferFunction type="identity" application="mech" design="density"/>
        </transferFunctions>
        <designVariables optimizationVariables="12" modelVariables="1000" modelElements="1000">
          <design type="density" upperBound="1" lowerBound="0.001" physicalLowerBound="0.001"/>
          <shapeParam idx="0" ref="0" type="node" dof="y" orientation="x" lower="0" upper="1" clamp="no" variables="11" design="6" induced="no"/>
          <shapeParam idx="1" ref="0" type="node" dof="z" orientation="x" slave="yes" induced="no"/>
          <shapeParam idx="2" ref="2" type="node" dof="y" orientation="x" lower="0" upper="1" clamp="no" variables="11" design="0" induced="reciprocal"/>
          <shapeParam idx="3" ref="2" type="node" dof="z" orientation="x" slave="yes" induced="yes"/>
          <shapeParam idx="4" ref="4" type="node" dof="y" orientation="x" lower="0" upper="1" clamp="no" variables="11" design="0" induced="yes"/>
          <shapeParam idx="5" ref="4" type="node" dof="z" orientation="x" slave="yes" induced="reciprocal"/>
          <shapeParam idx="6" ref="6" type="node" dof="y" orientation="x" lower="0" upper="1" clamp="no" variables="11" design="0" induced="reciprocal"/>
          <shapeParam idx="7" ref="6" type="node" dof="z" orientation="x" slave="yes" induced="reciprocal"/>
          <shapeParam idx="8" ref="8" type="node" dof="x" orientation="y" lower="0" upper="1" clamp="no" variables="11" design="0" induced="yes"/>
          <shapeParam idx="9" ref="8" type="node" dof="z" orientation="y" slave="yes" induced="yes"/>
          <shapeParam idx="10" ref="10" type="node" dof="x" orientation="y" lower="0" upper="1" clamp="no" variables="11" design="0" induced="reciprocal"/>
          <shapeParam idx="11" ref="10" type="node" dof="z" orientation="y" slave="yes" induced="yes"/>
          <shapeParam idx="12" ref="12" type="node" dof="x" orientation="y" lower="0" upper="1" clamp="no" variables="11" design="0" induced="yes"/>
          <shapeParam idx="13" ref="12" type="node" dof="z" orientation="y" slave="yes" induced="reciprocal"/>
          <shapeParam idx="14" ref="14" type="node" dof="x" orientation="y" lower="0" upper="1" clamp="no" variables="11" design="0" induced="reciprocal"/>
          <shapeParam idx="15" ref="14" type="node" dof="z" orientation="y" slave="yes" induced="reciprocal"/>
          <shapeParam idx="16" ref="16" type="node" dof="y" orientation="z" lower="0" upper="1" clamp="no" variables="11" design="0" induced="yes"/>
          <shapeParam idx="17" ref="16" type="node" dof="x" orientation="z" slave="yes" induced="yes"/>
          <shapeParam idx="18" ref="18" type="node" dof="y" orientation="z" lower="0" upper="1" clamp="no" variables="11" design="0" induced="reciprocal"/>
          <shapeParam idx="19" ref="18" type="node" dof="x" orientation="z" slave="yes" induced="yes"/>
          <shapeParam idx="20" ref="20" type="node" dof="y" orientation="z" lower="0" upper="1" clamp="no" variables="11" design="0" induced="yes"/>
          <shapeParam idx="21" ref="20" type="node" dof="x" orientation="z" slave="yes" induced="reciprocal"/>
          <shapeParam idx="22" ref="22" type="node" dof="y" orientation="z" lower="0" upper="1" clamp="no" variables="11" design="0" induced="reciprocal"/>
          <shapeParam idx="23" ref="22" type="node" dof="x" orientation="z" slave="yes" induced="reciprocal"/>
          <shapeParam idx="24" ref="0" type="profile" lower=".2" upper=".5" clamp="no" variables="11" design="6" induced="no"/>
          <shapeParam idx="25" ref="2" type="profile" lower=".2" upper=".5" clamp="no" variables="11" design="0" induced="yes"/>
          <shapeParam idx="26" ref="4" type="profile" lower=".2" upper=".5" clamp="no" variables="11" design="0" induced="yes"/>
          <shapeParam idx="27" ref="6" type="profile" lower=".2" upper=".5" clamp="no" variables="11" design="0" induced="yes"/>
          <shapeParam idx="28" ref="8" type="profile" lower=".2" upper=".5" clamp="no" variables="11" design="0" induced="yes"/>
          <shapeParam idx="29" ref="10" type="profile" lower=".2" upper=".5" clamp="no" variables="11" design="0" induced="yes"/>
          <shapeParam idx="30" ref="12" type="profile" lower=".2" upper=".5" clamp="no" variables="11" design="0" induced="yes"/>
          <shapeParam idx="31" ref="14" type="profile" lower=".2" upper=".5" clamp="no" variables="11" design="0" induced="yes"/>
          <shapeParam idx="32" ref="16" type="profile" lower=".2" upper=".5" clamp="no" variables="11" design="0" induced="yes"/>
          <shapeParam idx="33" ref="18" type="profile" lower=".2" upper=".5" clamp="no" variables="11" design="0" induced="yes"/>
          <shapeParam idx="34" ref="20" type="profile" lower=".2" upper=".5" clamp="no" variables="11" design="0" induced="yes"/>
          <shapeParam idx="35" ref="22" type="profile" lower=".2" upper=".5" clamp="no" variables="11" design="0" induced="yes"/>
        </designVariables>
        <localElementCache org="1" shadow="0" mat_deriv="0" megabytes="0"/>
        <regions>
          <region name="mech" elements="1000" bimaterial="-"/>
        </regions>
      </designSpace>
      <sequence step="1" complex="no" harmonic="no" eigenvalue="no" bloch="no" material="mechanic" homogenization="no"/>
      <excitations>
        <excitation index="0" meta_idx="0" label="0" weight="1" normalized_weight="1"/>
      </excitations>
      <evaluate/>
    </header>
    <commit mode="forward" stride="1"/>
    <optimizer>
      <summary>
        <evaluate>
          <timer wall-clock="0s" wall="0" cpu="0.000395" calls="51"/>
        </evaluate>
      </summary>
    </optimizer>
    <summary>
      <eval_objective>
        <timer wall-clock="0s" wall="0" cpu="0.000169" calls="1"/>
      </eval_objective>
      <eval_constraints>
        <timer wall-clock="0s" wall="0" cpu="0.000633" calls="25"/>
      </eval_constraints>
      <eval_grad_objective>
        <timer wall-clock="0.003s" wall="0.003" cpu="0.028828" calls="1"/>
      </eval_grad_objective>
      <eval_grad_constraints>
        <timer wall-clock="0.002s" wall="0.002" cpu="0.017742" calls="25"/>
      </eval_grad_constraints>
    </summary>
    <process>
      <iteration number="0" duration="0.404" compliance="64.1573683427352" volume_density="0.279819314609312" max_abs_curvature_node="0" infeas_curvature_node="0" max_abs_curvature_profile="0" infeas_curvature_profile="0"/>
    </process>
  </optimization>
</cfsInfo>